> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/data-governance/activities.md).

# Activities

## Returns activities matching the given search criteria.

> Returns activities matching the given search criteria.Only parameters that are specified in this request and have not \<code>null\</code> values are used for filtering.All other parameters are ignored.The returned activities satisfy all constraints that are specified in this search criteria.By default a result containing 100 activities is returned.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":["sys.admin"]},{"oauth2":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra REST API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{"sys.admin":"System administration","kg.manage-all":"Manage all knowledge graph resources","kg.view-all":"View any knowledge graph resource","kg.manage-tags":"Manage tags","insights.download":"Download insights reporting zip files","wf.administration":"Workflow administration","wf.use-message-events":"Use workflow events"}}}}}},"paths":{"/activities":{"get":{"tags":["Activities"],"summary":"Returns activities matching the given search criteria.","description":"Returns activities matching the given search criteria.Only parameters that are specified in this request and have not <code>null</code> values are used for filtering.All other parameters are ignored.The returned activities satisfy all constraints that are specified in this search criteria.By default a result containing 100 activities is returned.","operationId":"getActivities","parameters":[{"name":"offset","in":"query","description":"The first result to retrieve. If not set (offset = <code>0</code>), results will be retrieved starting from row <code>0</code>.","schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","description":"The maximum number of results to retrieve. If not set (limit = <code>0</code>), the default limit will be used. The maximum allowed limit is 1000.","schema":{"type":"integer","format":"int32","default":0}},{"name":"countLimit","in":"query","description":"Parameter not used in the context of activities, for performance reasons they are not counted.","deprecated":true,"schema":{"type":"integer","format":"int32","default":-1}},{"name":"taskId","in":"query","description":"The ID of the task which contains the basic find activities request.","schema":{"type":"string","format":"uuid"}},{"name":"contextId","in":"query","description":"The ID of the context which the activities should be searched for.","schema":{"type":"string","format":"uuid"}},{"name":"involvedPeopleIds","in":"query","description":"The list of IDs of the people that should be involved in searched activities.","schema":{"uniqueItems":true,"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"involvedRoleIds","in":"query","description":"The list of IDs of the roles that should be involved in searched activities.","schema":{"uniqueItems":true,"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"performedByUserId","in":"query","description":"The ID of the user who performed searched activities.","schema":{"type":"string","format":"uuid"}},{"name":"performedByRoleIds","in":"query","description":"The list of IDs of the roles assigned to users who performed searched activities.","schema":{"uniqueItems":true,"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"activityType","in":"query","description":"The type of the activity.","schema":{"type":"string","enum":["ADD","UPDATE","DELETE"]}},{"name":"callId","in":"query","description":"The ID of the call.","schema":{"type":"string"}},{"name":"categories","in":"query","description":"The set of the categories of activities that should be searched. One of [ATTRIBUTE, ATTACHMENT, RELATION, COMMENT,<br/>STATUS, WORKFLOW, RESPONSIBILITY, USER, USER_GROUP, ROLE, TAGS, OTHERS].","schema":{"uniqueItems":true,"type":"array","items":{"type":"string","enum":["ATTRIBUTE","ATTACHMENT","RELATION","COMMENT","RATING","STATUS","WORKFLOW","RESPONSIBILITY","USER","USER_GROUP","ROLE","TAGS","OTHERS","USER_PASSWORD","VIEW_PERMISSION"]}}},{"name":"resourceTypes","in":"query","description":"The set of the resource types that searched activities refer to, i.e. [Community, Asset, Domain, Attribute,<br/>Relation, WorkflowInstance]. This parameter is deprecated. Use resourceDiscriminators instead.","deprecated":true,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string","enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]}}},{"name":"resourceDiscriminators","in":"query","description":"The set of the resource discriminators that searched activities refer to, i.e. [Community, Asset, Domain, Attribute,<br/>\nRelation, WorkflowInstance].\n","schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"startDate","in":"query","description":"The start date of the searched activities, expressed as a Unix timestamp in milliseconds.","schema":{"type":"integer","format":"int64"}},{"name":"endDate","in":"query","description":"The end date of the searched activities, expressed as a Unix timestamp in milliseconds.","schema":{"type":"integer","format":"int64"}},{"name":"callCountEnabled","in":"query","description":"Flag to indicate if the number of calls standing behind the activity should be returned or not.<br/>Note that by default that count will be not calculated as it brings an important performance penalty.","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"The paged response with found Activity information. The total number of results is not calculated and should be ignored"}}}}}}
```
